unit uLoginForm;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics,
  Controls, Forms, Dialogs, uniGUITypes, uniGUIAbstractClasses,
  uniGUIClasses, uniGUIRegClasses, uniGUIForm, uniGUIBaseClasses, uniButton,
   Main, uniLabel, uniEdit, uniCanvas,Unit_Captcha, uniCheckBox, uniPanel, IdBaseComponent, IdCoder, IdCoder3to4,
  IdCoder00E, IdCoderXXE, uHelloForm;

type
  TfEncryptLink_LoginForm = class(TUniLoginForm)
    bEnter: TUniButton;
    UniEdit_Password: TUniEdit;
    lEnterPassword: TUniLabel;
    UniEdit_Captcha: TUniEdit;
    lEnterCaptcha: TUniLabel;
    cbShowPassword: TUniCheckBox;
    UniPanel_Captcha: TUniPanel;
    UniCanvas_Captcha: TUniCanvas;
    bUpdateCaptcha: TUniButton;
    IdEncoderXXE: TIdEncoderXXE;
    procedure bEnterClick(Sender: TObject);
    procedure bUpdateCaptchaClick(Sender: TObject);
    procedure UniLoginFormShow(Sender: TObject);
    procedure UniLoginFormCreate(Sender: TObject);
    procedure cbShowPasswordClick(Sender: TObject);
  private

     FNumberInCAPTCHA:integer;
     FCorrectPassword:string;

   procedure CreateCaptcha;

   procedure CenterElements;

  public
    { Public declarations }
  end;

function fEncryptLink_LoginForm: TfEncryptLink_LoginForm;



implementation

{$R *.dfm}

uses
  uniGUIVars, MainModule, uniGUIApplication;

function fEncryptLink_LoginForm: TfEncryptLink_LoginForm;
begin
  Result := TfEncryptLink_LoginForm(UniMainModule.GetFormInstance(TfEncryptLink_LoginForm));
end;

procedure TfEncryptLink_LoginForm.bUpdateCaptchaClick(Sender: TObject);
begin
CreateCaptcha;
end;

procedure TfEncryptLink_LoginForm.CenterElements;
begin
//

  UniEdit_Password.Left:=Trunc(

  Self.Width/2 - UniEdit_Password.Width/2

  );


    UniEdit_Captcha.Left:=Trunc(

    Self.Width/2 - UniEdit_Captcha.Width/2

    );



      bEnter.Left:=Trunc(

      Self.Width/2 - bEnter.Width/2

      );



               UniPanel_Captcha.Left:=Trunc(

          Self.Width/2 - UniPanel_Captcha.Width/2

          );


          lEnterPassword.Left:=UniPanel_Captcha.Left;
          lEnterCaptcha.Left:=UniPanel_Captcha.Left;

          cbShowPassword.Left:=UniPanel_Captcha.Left;




end;

procedure TfEncryptLink_LoginForm.CreateCaptcha;
begin

 FNumberInCAPTCHA:=random(1000000);

 UniCanvas_Captcha.Bitmap:= nil;

 CreateCaptchaCore(

 UniCanvas_Captcha,
 inttostr(FNumberInCAPTCHA),
 5

 );


end;

procedure TfEncryptLink_LoginForm.bEnterClick(Sender: TObject);
begin


{

// Emtyness Check

if (UniEdit_Password.Text='') then
begin

ShowMessage('Empty Password Field');
Exit;

end;


if (UniEdit_Captcha.Text='') then

begin

ShowMessage('Empty Captcha Field');
Exit;

end;



//Password check

if not (UniEdit_Password.Text=FCorrectPassword) then
begin

ShowMessage('Wrong Password');
Exit;

end;


// CAPTCHA CHECK

if not (FNumberInCAPTCHA.ToString=UniEdit_Captcha.Text) then

begin

ShowMessage('Wrong CAPTCHA CODE');
Exit;

end;

}


Self.ModalResult:=mrOk;
Close;

fEncryptLinkApp.Visible:=True;

end;

procedure TfEncryptLink_LoginForm.UniLoginFormCreate(Sender: TObject);
begin

FCorrectPassword:='CorrectPassword';

end;

procedure TfEncryptLink_LoginForm.UniLoginFormShow(Sender: TObject);



begin
 
if UniApplication.Parameters.Values['showloginform']<>'true'
 then

  begin

  Hide;
  fHelloForm.show;
  
  //ShowMessage('Hello. Access denied. Try open login form');
  
  end else

  begin
  
    CreateCaptcha;
    CenterElements;
  
  end;

      
        
end;

procedure TfEncryptLink_LoginForm.cbShowPasswordClick(Sender: TObject);
begin

if cbShowPassword.Checked then

UniEdit_Password.PasswordChar:=#0 else

UniEdit_Password.PasswordChar:='*';

end;

initialization
  RegisterAppFormClass(TfEncryptLink_LoginForm);

end.
