unit Main;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics,
  Controls, Forms, Dialogs, uniGUITypes, uniGUIAbstractClasses,
  uniGUIClasses, uniGUIForm, Unit_Captcha, uniGUIBaseClasses, uniCanvas,
  uniButton, uniBitBtn, uniImage, uniEdit;

type
  TMainForm = class(TUniForm)
    UniCanvas1: TUniCanvas;
    bCreateNewCaptcha: TUniBitBtn;
    bCheck: TUniBitBtn;
    UniEdit1: TUniEdit;
    procedure bCreateNewCaptchaClick(Sender: TObject);
    procedure bCheckClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

function MainForm: TMainForm;

implementation

{$R *.dfm}

uses
  uniGUIVars, MainModule, uniGUIApplication;

var i:Integer;

function MainForm: TMainForm;
begin
  Result := TMainForm(UniMainModule.GetFormInstance(TMainForm));
end;

procedure TMainForm.bCreateNewCaptchaClick(Sender: TObject);
begin

  i:=random(1000000);
  UniCanvas1.Bitmap := nil;
  CretedCaptcha(UniCanvas1, inttostr(i), 2);
  Caption:=IntToStr(i)

end;

procedure TMainForm.bCheckClick(Sender: TObject);
begin
  if UniEdit1.Text=Caption then
    ShowMessage('Ok');
end;

initialization

RegisterMainFormClass(TMainForm);

end.
