unit ServerModule;

interface

uses
  Classes, SysUtils, uniGUIServer, uniGUIMainModule, uniGUIApplication, uIdCustomHTTPServer,
  uniGUITypes, IdCoder, IdCoder3to4, IdCoder00E, IdCoderXXE, IdBaseComponent,DateUtils;

type
  TUniServerModule = class(TUniGUIServerModule)
    IdEncoderXXE_Server: TIdEncoderXXE;
    IdDecoderXXE_Server: TIdDecoderXXE;
    procedure UniGUIServerModuleHTTPCommand(ARequestInfo: TIdHTTPRequestInfo; AResponseInfo: TIdHTTPResponseInfo;
      var Handled: Boolean);
  private
    { Private declarations }
  protected
    procedure FirstInit; override;
  public
    { Public declarations }
  end;

function UniServerModule: TUniServerModule;

implementation

{$R *.dfm}

uses
  UniGUIVars;

function UniServerModule: TUniServerModule;
begin
  Result:=TUniServerModule(UniGUIServerInstance);
end;

procedure TUniServerModule.FirstInit;
begin
  InitServerModule(Self);
end;

procedure TUniServerModule.UniGUIServerModuleHTTPCommand(ARequestInfo: TIdHTTPRequestInfo;
  AResponseInfo: TIdHTTPResponseInfo; var Handled: Boolean);

var noblockmeparam,timelimitparam,startdatetimeparam:string;
  StartDateTime: TDateTime;
  StartDateTimeString: string;
  TimeLimit: Int64;

  begin






    noblockmeparam:='noblockmeparam';
    timelimitparam:='timelimitparam';
    startdatetimeparam:='startdatetimeparam';

    noblockmeparam:=IdEncoderXXE_Server.Encode(noblockmeparam);
    timelimitparam:=IdEncoderXXE_Server.Encode(timelimitparam);
    startdatetimeparam:=IdEncoderXXE_Server.Encode(startdatetimeparam);


 //   if ARequestInfo.Params.Values[noblockmeparam]=
//    IdEncoderXXE_Server.Encode('true')

//if UniApplication.Parameters.Values[noblockmeparam]=IdEncoderXXE_Server.Encode('true')

//then


begin


// AResponseInfo.Redirect('http://digital-flame.ru/');

end;




//        if  (ARequestInfo.Params.Values[startdatetimeparam]<>'')
//        and (ARequestInfo.Params.Values[timelimitparam]<>'')


  //      then
  {
        begin

           //Getting StartDateTime for Link
           StartDateTimeString:=IdDecoderXXE_Server.DecodeString(
           ARequestInfo.Params.Values[startdatetimeparam]);

           StartDateTime:=StrToDateTime(StartDateTimeString);

           //Getting  timelimit
           TimeLimit:=IdDecoderXXE_Server.DecodeString(
           ARequestInfo.Params.Values[TimeLimitParam]).ToInt64();


           if HoursBetween(Now,StartDateTime)<TimeLimit then
           AResponseInfo.Redirect('http://digital-flame.ru/');



        end;

 }

 //    ARequestInfo.URI
//This test Ok - Server redirecting
if ARequestInfo.Params.Values['go']='true' then
//AResponseInfo.Redirect('http://digital-flame.ru/');





AResponseInfo.ContentText:='hello';

//AResponseInfo.ResponseText:=  //ContentText:=
//'<p>hello</p>';




AResponseInfo.ContentType:='TEXT/HTML; CHARSET=UTF-8';



end;

initialization
  RegisterServerModuleClass(TUniServerModule);
end.
